Autore Topic: Ciao a tutti, problema con aggionamento k2  (Letto 210 volte)

Offline mino marollo

  • Nuovo arrivato
  • *
  • Post: 3
    • Mostra profilo
Ciao a tutti, problema con aggionamento k2
« il: 14 Giu 2018, 15:09:46 »
Ciao a tutti, ho appena aggiornato il modulo k2 all'ultima versione 2.8.0, appena ha finito, ho avuto il seguente errore:Fatal error: Class 'JModelLegacy' not found in /web/htdocs/www.xxxxxxxxxxxx/home/administrator/components/com_k2/models/model.php on line 17

Offline marine

  • Team Joomla.it
  • Instancabile
  • *******
  • Post: 3990
  • Sesso: Maschio
    • Mostra profilo
Re:Ciao a tutti, problema con aggionamento k2
« Risposta #1 il: 14 Giu 2018, 15:54:54 »
Che versione di joomla usi?

Offline mino marollo

  • Nuovo arrivato
  • *
  • Post: 3
    • Mostra profilo
Re:Ciao a tutti, problema con aggionamento k2
« Risposta #2 il: 14 Giu 2018, 16:13:04 »
non ricordo, la 2.5. boh :( ho ripreso un vecchio sito.

Offline marine

  • Team Joomla.it
  • Instancabile
  • *******
  • Post: 3990
  • Sesso: Maschio
    • Mostra profilo
Re:Ciao a tutti, problema con aggionamento k2
« Risposta #3 il: 14 Giu 2018, 16:16:42 »
spero che tu ti renda conto che difficile aiutarti senza dettagli precisi

Offline Alex21

  • Appassionato
  • ***
  • Post: 643
    • Mostra profilo
    • servizi web
Re:Ciao a tutti, problema con aggionamento k2
« Risposta #4 il: 14 Giu 2018, 18:20:15 »
non ricordo, la 2.5. boh :( ho ripreso un vecchio sito.
Sei sicuro che sia almeno la 2.5?
/administrator/components/com_attachments/Changelog.php:100

2013-06-08: Release 3.1
   - 2012-08-18 Added attachments list sort option: description (reversed, z-a).
   - 2012-09-08 Several updates to support upgrade to Joomla 3.0:
      - Updated deprecated classes/functions (JRules->JAccessRules,
       user->authorisedLevels(), user->getAuthorisedViewLevels()).
      - Converted all 'X' toolbar items to non-X versions (eg, addNewX->addNew,
       editListX->editList, deleteListX->deleteList) for future compatibility with
       Joomla 3.0.
     - Converted several Joomal classes to legacy version for future compatibility
       for Joomla 3.0 (JModel->JModelLegacy, JController->JControllerLegacy,
       JView->JViewLegacy).
      - NOTE that these legacy classes only work with Joomla 2.5 or later, so
       earlier versions of Joomla are not longer supported (including Joomla 1.7).

Ciao


Offline mino marollo

  • Nuovo arrivato
  • *
  • Post: 3
    • Mostra profilo
Re:Ciao a tutti, problema con aggionamento k2
« Risposta #5 il: 14 Giu 2018, 20:14:02 »
ho risolto ripristinando i vecchi file di backup dal giornaliero, ora tornato a funzionare ma non riesco ad aggiornare il modulo k2 ed installare la lingua italiana. ho installato la 2.5.1

 

Torna su